-- Compatibility: Lua-5.1
function split(str, pat)
   local t = {}  -- NOTE: use {n = 0} in Lua-5.0
   local fpat = "(.-)" .. pat
   local last_end = 1
   local s, e, cap = str:find(fpat, 1)
   while s do
      if s ~= 1 or cap ~= "" then
	 table.insert(t,cap)
      end
      last_end = e+1
      s, e, cap = str:find(fpat, last_end)
   end
   if last_end <= #str then
      cap = str:sub(last_end)
      table.insert(t, cap)
   end
   return t
end

--function printf(...) io.write(string.format("%d:",Client_GetTicks())..string.format(...)) end
-- protected call string fromatting, errors don't crash the program
function pformat(...) 
	local success,s = pcall(string.format,...)
	if (success) then return s end
	s = "string.format error ("..s..") #"..tostring((...)).."#"
	print(s)
	return s
end
function printf(...) io.write(pformat(...)) end
function sprintf(...) return pformat(...) end
function pad(s,minlen) s = tostring(s) local padlen = minlen-#s if (padlen > 0) then return s .. string.rep(" ",padlen) end return s end 

function GetCurTime () return love.timer.getMicroTime() end
