-- Class
Endscreen = class("Endscreen")

function Endscreen:initialize(winner)
	super.initialize(self)
	
	self.winner = winner
	
	if self.winner then
		self.background = love.graphics.newImage("media/images/winneris.png")
	else
		self.background = love.graphics.newImage("media/images/allloose.png")
	end

	TEsound.play("media/sounds/explosion.ogg", "flip")
	print("init Endscreen")
	
	self.counter = 5
end

function Endscreen:update(dt)
	if self.counter > 0 then
		self.counter = self.counter - dt
	end
end

function Endscreen:draw()
	if self.winner then
		love.graphics.setColor( 0, 255, 0, 255 )
		love.graphics.draw(self.background,0,0,0,_screenWidth_/self.background:getWidth(),_screenHeight_/self.background:getHeight()) 
		love.graphics.setFont(font2)
		love.graphics.print( self.winner==" " and "space" or self.winner, _screenWidth_/2 -10, _screenHeight_/2)
	else
		love.graphics.setColor( 255, 0, 0, 255 )
		love.graphics.draw(self.background,0,0,0,_screenWidth_/self.background:getWidth(),_screenHeight_/self.background:getHeight()) 
	end
end

function Endscreen:keypressed(key,unicode)
	if self.counter <= 0 then
--	if key == "escape" then
		scene = Menu:new(menu_view)
--	elseif key == "enter" then
--		scene = Game:new( getPlayers() )
--	end

	end
end

function Endscreen:keyreleased(key,unicode)
end

function Endscreen:quit()
	-- reset colors
	love.graphics.setColor( 255, 255, 255, 255 )
	
	-- delete ingame state
	print("quit endscreen")
end

