-- Class
OptionMenu = class("OptionMenu")

function OptionMenu:initialize()
	super.initialize(self)
	self.music={checked=true}
	self.musicLabel='Stop music'

	--initial graphics setup
	love.graphics.setBackgroundColor(48, 42, 39)

	gui.core.enableKeyFocus()

--	self.background	= love.graphics.newImage("media/images/menu/background.png")

	print("init optionmenu")
end

function OptionMenu:update()
	love.graphics.setFont(_menuFont_)
	gui.Label('Options', 10,80,_screenWidth_-20,120, 'center')

	local x,y,w,h = 300,220, _screenWidth_-600,55

	if gui.Checkbox(self.music, x,y, 24,24) then
		if self.music.checked then
--			Stream.music:play()
			self.musicLabel='Stop music'
		else
--			Stream.music:stop()
			self.musicLabel='Play music'
		end
	end
	gui.Label(self.musicLabel, x+36,y+3)

	if gui.Button('back', x,495,w,h) then
		scene=_titlemenu_
	end
end

function OptionMenu:draw()
	--------------------------
	-- 0  - draw background
	--------------------------
	if scene.background then love.graphics.draw(scene.background) end

	--------------------------
	-- 0  - draw guisystem
	--------------------------
	gui.core.draw()
	love.graphics.setColor( 255, 255, 255, 255 )
end

function OptionMenu:keypressed(key,unicode)
	-- handle exit
	if key == 'escape' then
		self:quit()
		scene=_titlemenu_
		return
	end
end

function OptionMenu:quit()
	-- reset colors
	love.graphics.setColor( 255, 255, 255, 255 )

	print("quit optionmenu")
end
