-- Class
TitleMenu = class("TitleMenu")

function TitleMenu:initialize()
	super.initialize(self)
	
	--initial graphics setup
	love.graphics.setBackgroundColor(48, 42, 39)
	
	gui.core.enableKeyFocus()

--	self.background	= love.graphics.newImage("media/images/menu/background.png")

	print("init titlemenu")
end

function TitleMenu:update(dt)
	love.graphics.setFont(_menuFont_)
	gui.Label('Devmania 2012', 10,80,_screenWidth_-20,120, 'center')

	local x,y,w,h = 200,_screenHeight_/2, _screenWidth_-400, _screenHeight_/15
	if gui.Button('Start Game', x,y,w,h) then
		scene=_levelmenu_
		return
	end

	y = y + h + 10
--	if gui.Button('Level Editor', x,y,w,h) then
--		scene=_editor_
--		return
--	end

	y = y + h + 10
	if gui.Button('Options', x,y,w,h) then
		scene=_optionmenu_
		return
	end
	
	y = y + h + 10
	if gui.Button('Credits', x,y,w,h) then
		return
	end

	y = y + h + 10
	if gui.Button('Quit', x,y,w,h) then
		love.event.push('quit')
		return
	end
end

function TitleMenu:draw()
	--------------------------
	-- 0  - draw background
	--------------------------
	if scene.background then love.graphics.draw(scene.background) end

	--------------------------
	-- 0  - draw guisystem
	--------------------------
	gui.core.draw()
	love.graphics.setColor( 255, 255, 255, 255 )
end

function TitleMenu:keypressed(key,unicode)
	-- handle exit
	if key == 'escape' then
		love.event.push('q')
	end
end

function TitleMenu:quit()
	-- reset colors
	love.graphics.setColor( 255, 255, 255, 255 )

	print("quit titlemenu")
end
