Circle = class("Circle")

function Circle:initialize( x, y, radius, r, g, b)
	super.initialize(self)
	self.x = x
	self.y = y
	self.radius = radius
	if (r==nil or g==nil or b==nil) then
		self.r,self.g,self.b = math.random(1,255),math.random(1,255),math.random(1,255)
	else
		self.r,self.g,self.b = r,g,b
	end
end

function Circle:changeColor(r,g,b)
	self.r,self.g,self.b = r,g,b
end

function Circle:draw(x,y)
	self.x=x
	self.y=y
	love.graphics.setColor(self.r,self.g,self.b,32)
	love.graphics.setBlendMode("additive")
	love.graphics.setLineWidth( 32 )
	love.graphics.circle("line",self.x,self.y,self.radius,32)
	love.graphics.setLineWidth( 16 )
	love.graphics.circle("line",self.x,self.y,self.radius,32)
	love.graphics.setLineWidth( 8 )
	love.graphics.circle("line",self.x,self.y,self.radius,32)
	love.graphics.setLineWidth( 4 )
	love.graphics.circle("line",self.x,self.y,self.radius,32)
	love.graphics.setBlendMode("alpha")
	love.graphics.setColor(self.r,self.g,self.b,255)	
	love.graphics.setLineWidth( 2 )
	love.graphics.circle("line",self.x,self.y,self.radius,32)
end
