-- Class
LevelMenu = class("LevelMenu")

function LevelMenu:initialize()
	super.initialize(self)
	
	--initial graphics setup
	love.graphics.setBackgroundColor(48, 42, 39)

	gui.core.enableKeyFocus()
	
--	self.background	= love.graphics.newImage("media/images/menu/background.png")

	print("init levelmenu")
end

function LevelMenu:update()
	love.graphics.setFont(_menuFont_)
	gui.Label('Select Level', 10,80,_screenWidth_-20,nil, 'center')

	local x,y,w,h = 150,_screenHeight_/4, 80,80

	for i = 1,math.max(1, _levels_) do
		if gui.Button(tonumber(i), x,y,w,h) then
			scene=Game:new()
		end
		x = x + w + 15
		if x + w > _screenWidth_ - 150 then
			x = 150
			y = y + h + 15
		end
	end

end

function LevelMenu:draw()
	--------------------------
	-- 0  - draw background
	--------------------------
	if scene.background then love.graphics.draw(scene.background) end

	--------------------------
	-- 0  - draw guisystem
	--------------------------
	gui.core.draw()

	love.graphics.setColor( 255, 255, 255, 255 )
end

function LevelMenu:keypressed(key,unicode)
	-- handle exit
	if key == 'escape' then
		self:quit()
		scene=_titlemenu_
		return
	end
end

function LevelMenu:quit()
	-- reset colors
	love.graphics.setColor( 255, 255, 255, 255 )

	print("quit levelmenu")
end
